"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModelNotInitializedError extends Error {
    constructor(modelClass, options) {
        /* istanbul ignore next */
        super();
        let cause = options['cause'];
        if (!('cause' in options)) {
            cause = `before "${options['accessedPropertyKey']}" can be called.`;
        }
        this.message = `Model not initialized: "${modelClass.name}" ` +
            `needs to be added to a Sequelize instance ${cause}`;
    }
}
exports.ModelNotInitializedError = ModelNotInitializedError;
//# sourceMappingURL=model-not-initialized-error.js.map