import 'reflect-metadata';
import { Sequelize } from './sequelize';
import { Model } from "../../model/index";
import { ModelMatch, SequelizeOptions } from "../sequelize-options/sequelize-options";
export declare const _OriginSequelize: typeof Sequelize;
export declare class SequelizeImpl extends _OriginSequelize {
    throughMap: {
        [through: string]: any;
    };
    models: {
        [modelName: string]: typeof Model;
    };
    options: SequelizeOptions;
    constructor(options: SequelizeOptions | string);
    init(options: SequelizeOptions): void;
    addModels(models: Array<typeof Model>): void;
    addModels(modelPaths: string[]): void;
    addModels(modelPaths: string[], modelMatch?: ModelMatch): void;
    addModels(arg: Array<typeof Model | string>): void;
    /**
     * Processes model associations
     */
    associateModels(models: Array<typeof Model>): void;
    /**
     * Creates sequelize models and registers these models
     * in the registry
     */
    defineModels(models: Array<typeof Model>): void;
}
