"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const model_service_1 = require("../../model/shared/model-service");
function hasSequelizeUri(obj) {
    return obj.hasOwnProperty("url");
}
exports.hasSequelizeUri = hasSequelizeUri;
/**
 * Prepares sequelize config passed to original sequelize constructor
 */
function prepareOptions(options) {
    if (!options.define) {
        options.define = {};
    }
    options.define = Object.assign({}, model_service_1.DEFAULT_DEFINE_OPTIONS, options.define);
    if (options.validateOnly) {
        return getValidationOnlyOptions(options);
    }
    return Object.assign({}, options);
}
exports.prepareOptions = prepareOptions;
function getValidationOnlyOptions(options) {
    return Object.assign({}, options, { database: '_name_', username: '_username_', password: '_password_', dialect: 'sqlite', dialectModulePath: __dirname + '/../validation-only/db-dialect-dummy' });
}
//# sourceMappingURL=sequelize-service.js.map